Bug 488538 - Review Request: php-ezc-Authentication - eZ Components Authentication
Review Request: php-ezc-Authentication - eZ Components Authentication
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
noarch Linux
low Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On: 484509
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-04 13:46 EST by Guillaume Kulakowski
Modified: 2014-09-02 09:14 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.2.3-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-12 20:23:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Guillaume Kulakowski 2009-03-04 13:46:19 EST
Authentication is a part of eZ Components :
https://admin.fedoraproject.org/pkgdb/packages/name/php-channel-ezc

The purpose of the Authentication component is to provide support for different
means of identification and authentication of users using different providers
and protocols.

SPEC:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Authentication.spec

SRPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Authentication-1.2.3-1.fc10.src.rpm

RPM:
http://llaumgui.fedorapeople.org/review/ez_components/php-ezc-Authentication-1.2.3-1.fc10.noarch.rpm

rpmlint:
builder@enterprise ~> rpmlint rpmbuild/**/php-ezc-Authentication*                                                                                                        
2 packages and 1 specfiles checked; 0 errors, 0 warnings.



Pear CompatInfo:
+-----------------------------+---------+---+------------+--------------------+
| Files                       | Version | C | Extensions | Constants/Tokens   |
+-----------------------------+---------+---+------------+--------------------+
| ./*                         | 5.0.0   | 0 | bcmath     | ...CTORY_SEPARATOR |
|                             |         |   | date       | abstract           |
|                             |         |   | gmp        | implements         |
|                             |         |   | hash       | instanceof         |
|                             |         |   | ldap       | interface          |
|                             |         |   | pcre       | private            |
|                             |         |   | pecl_http  | protected          |
|                             |         |   | session    | public             |
|                             |         |   |            | throw              |
+-----------------------------+---------+---+------------+--------------------+
Comment 1 Remi Collet 2009-04-25 04:19:12 EDT
REVIEW:

+ rpmlint is ok
php-ezc-Authentication.src: I: checking
php-ezc-Authentication.noarch: I: checking
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
+ package name
+ spec file name 
+ package meet the PHP Guidelines (new update)
+ License ok : BSD
+ License is upstream 
+ spec in english and legible
+ license file in sources is provided
+ sources match the upstream sources
a736fac4611c5d8e495fb7d8831b4fa8  Authentication-1.2.3.tgz
+ Source URL ok
+ build  on F10.x86_64
+ BuildRequires (php-pear >= 1:1.4.9-1.2) ok
+ no locale
+ no .so
+ own all directories that it creates
+ no duplicate file
+ %defattr ok
+ %clean section
+ use macros consistently
+ contain code
+ small documentation not required to run
+ no devel
+ no pkgconfig
+ no sub-package
+ no GUI
+ don't own files or directories already owned by other packages
+ %install start with rm -rf 
+ valid UTF-8
+ build in mock (fedora-rawhide-x86_64)
+ no test suite
+ scriptlets ok
+ Final Requires ok
php-bcmath  
php-common >= 5.2.1
php-ldap  
php-pear(components.ez.no/Base) >= 1.5.2
+ Final Provides ok
php-pear(components.ez.no/Authentication) = 1.2.3
php-ezc-Authentication = 1.2.3-1.fc8


APPROVED
Comment 2 Guillaume Kulakowski 2009-04-25 13:18:56 EDT
New Package CVS Request
=======================
Package Name: php-ezc-Authentication
Short Description: Support for different means of identification & authentication
Owners: llaumgui
Branches: F-9 F-10
InitialCC:
Comment 3 Kevin Fenzi 2009-04-27 01:10:30 EDT
I assume you wanted a F-11 branch here. 

cvs done with F-11 added.
Comment 4 Fedora Update System 2009-04-27 02:20:32 EDT
php-ezc-Authentication-1.2.3-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-ezc-Authentication-1.2.3-1.fc11
Comment 5 Fedora Update System 2009-04-27 02:20:37 EDT
php-ezc-Authentication-1.2.3-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/php-ezc-Authentication-1.2.3-1.fc9
Comment 6 Fedora Update System 2009-04-27 02:20:41 EDT
php-ezc-Authentication-1.2.3-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-ezc-Authentication-1.2.3-1.fc10
Comment 7 Fedora Update System 2009-04-27 17:30:20 EDT
php-ezc-Authentication-1.2.3-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update php-ezc-Authentication'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-3987
Comment 8 Fedora Update System 2009-04-27 17:33:51 EDT
php-ezc-Authentication-1.2.3-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-Authentication'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4006
Comment 9 Fedora Update System 2009-05-09 00:19:13 EDT
php-ezc-Authentication-1.2.3-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update php-ezc-Authentication'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-4580
Comment 10 Fedora Update System 2009-05-12 20:23:01 EDT
php-ezc-Authentication-1.2.3-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-12 20:24:06 EDT
php-ezc-Authentication-1.2.3-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-05-12 20:25:14 EDT
php-ezc-Authentication-1.2.3-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Guillaume Kulakowski 2010-08-29 04:53:33 EDT
Package Change Request
======================
Package Name: php-ezc-Authentication
New Branches: EL-6
Owners: llaumgui
Comment 14 Kevin Fenzi 2010-08-29 14:46:35 EDT
Git done (by process-git-requests).
Comment 15 Guillaume Kulakowski 2014-09-02 08:57:31 EDT
Package Change Request
======================
Package Name: php-ezc-Authentication
New Branches: EL-7
Owners: llaumgui
Comment 16 Gwyn Ciesla 2014-09-02 09:14:58 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.